Bug 225489 - Virtual kernal doesn't work on Inspiron 5000 PIII laptop
Summary: Virtual kernal doesn't work on Inspiron 5000 PIII laptop
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 21:29 UTC by hal
Modified: 2009-12-14 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:52:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hal 2007-01-30 21:29:53 UTC
Description of problem: When FC6 is installed on a Dell Inspiron 5000 laptop
with the virtualization kernel, the sound card is recognized but doesn't work,
and, after installing updates (including kernel 2.6.19-1.2895.fc6xen), X fails
to start after rebooting and the screen goes black.

Version-Release number of selected component (if applicable): FC6 installation CDs.

How reproducible: Always

Steps to Reproduce:
1. Boot from install CD
2. Select Office+Productivity and Software Development
3. Select Customize Now and select virtualization from the base system options
  
Actual results:

After rebooting following the initial install, the system comes up and appears
to get through the first-time settings ok, except at the end.  The ESS ES1978
Maestro sound chip is recognized, but when tested, no sounds come out and no
synthesizer device is displayed in the popup menu.

More serious, after running the updater and letting it download and install
patches, on reboot, things look normal until the "starting udev:" message
appears.  Then when X should start up, the screen goes blank instead.

Expected results:  Everything works fine if the same installation is repeated
without selecting the virtualization option.  If the virtual kernel is supposed
to work on this machine, then there's a bug.

If the virtual kernel is not supposed to work on this hardware, then it
shouldn't be possible to select or install it, or at least some sort of
compatibility warning should be issued.

Additional info:

Comment 1 Daniel Berrange 2007-01-30 21:32:59 UTC
Re-assigning to kernel-xen because broken sound card drivers are nothing todo
with the virt-manager GUI app.

Comment 3 Red Hat Bugzilla 2007-07-25 01:37:48 UTC
change QA contact

Comment 5 Chris Lalancette 2008-02-26 23:52:44 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.